LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
XMLElementWrapper Service Reference

Service of XMLElementWrapper. More...

`import"XMLElementWrapper.idl";`

Inheritance diagram for XMLElementWrapper:

## Exported Interfaces
interface | com::sun::star::xml::wrapper::XXMLElementWrapper
interface | com::sun::star::lang::XUnoTunnel
interface | com::sun::star::lang::XInitialization

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XUnoTunnel
hyper | getSomething ([in] sequence< byte > aIdentifier)
| Call this method to get something which is not specified in UNO, e.g. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

Service of XMLElementWrapper.

## Exported Interfaces

interface com::sun::star::lang::XInitialization

interface com::sun::star::lang::XUnoTunnel

interface com::sun::star::xml::wrapper::XXMLElementWrapper

The documentation for this service was generated from the following file:

- com/sun/star/xml/wrapper/XMLElementWrapper.idl